Subject: Re: [Detnet-dp-dt] DetNet architecture draft

From: Balázs Varga A <[email-masked]>
Date: Wed, 8 Jun 2016 14:44:18 +0000

Hi DetNet fighters,

Input for our webex meeting today:

MPLS sections of the data plane draft:

I have read through in detail the MPLS sections. I have not made any changes so far as

wanted to clarify the group’s view on my two major comments before making any changes.

1, MPLS part is quite redundant

The MPLS part is quite redundant and very detailed (almost educational at some points).

Also the Service layer and Transport layer criteria’s are mixed in the document. I think it

needs some clean up.

In my view in section 4.1.3 only the Transport layer related evaluation of MPLS should be

described. Similarly in section 4.2.2 only the Service layer related evaluations are needed.

We should also discuss how the PW (4.2.3) and EVPN (4.2.4) section should refer to the

4.2.2 MPLS section to avoid redundant text. From data plane perspective PW and EVPN

are quite similar.

2, Missing section: DetNet service for IP end-systems (over MPLS networks)

With the PW and EVPN technology we can provide a data plane for L2 end-systems.

If end-systems speaks IP, than we would not expect a L2 service, rather a real L3

connection like done by IP VPNs (rfc4364).

But there we have an issue: namely no CW in the label stack for IP VPN … So using

rfc4364 we would miss the packet sequence indicator, what is essential for replication

and duplicate elimination. Should we dedicate a chapter for IP VPNs type data plane?

Det/Net Layering vs. No layering

We have a very good update on the protocol stack figure in the architecture draft.

IMO it is not contradicting the “Det / Net layering” concept that helped in the data plane

draft to sort out / group evaluation criteria’s for the different technologies. Det/Net

layering also helped to identify what technology is intended for what purposes in the

DetNet context.

In my view the Det/Net layering is very similar to the concept used by the definition

of any MPLS based services. In MPLS we have a label stack, where some part of the label

stack is “Transport” specific (e.g, LSP label, TE label(s)) and an other part is “Service”

specific (e.g., PW labels).

Cheers

Bala’zs

-----Original Message-----
From: Norman Finn (nfinn) [mailto:[email-masked]]
Sent: Tuesday, June 07, 2016 9:25 PM
To: Jouni Korhonen; Pascal Thubert (pthubert); Michael Johas Teener; Balázs Varga A; Lou Berger
Subject: Re: DetNet architecture draft

Pascal did some good work to make the DT-alt criteria and the architecture line up.

— Norm

-----Original Message-----

From: Jouni Korhonen <[email-masked]<mailto:[email-masked]>>

Reply-To: Jouni Korhonen <[email-masked]<mailto:[email-masked]>>

Date: Tuesday, June 7, 2016 at 07:48 AM

To: Pascal Thubert <[email-masked]<mailto:[email-masked]>>, Norman Finn <[email-masked]<mailto:[email-masked]>>, Michael Johas Teener <[email-masked]<mailto:[email-masked]>>, Balázs Varga A <[email-masked]<mailto:[email-masked]>>, Lou Berger <[email-masked]<mailto:[email-masked]>>

Subject: Re: DetNet architecture draft

>Folks,

>I got this procedural question regarding the DT draft and the new

>(great) content of the architecture draft. I really liked the protocol

>stack model and how that has the "criteria" put into it. We could with

>some effort drop the det & net layer split in the DT-alt and do more of

>arch like approach. The overlap between the DT-alt criteria and arch

>stack model is quite good actually. So, any opinions?

>- Jouni

>6/2/2016, 11:50 PM, Pascal Thubert (pthubert) kirjoitti:

>> I invited Balázs, Norm. Also invited Lou.

>> I hope having 6 members in the detnet group is not an issue with the

>>free bitbucket access for a private repo.

>> You're the editor as long as the doc is not WG, no worries so far

>>about the DET service / transport Layers split.

>> My goal so far was to simplify the dt doc, allowing to point on the

>>architecture text as opposed to make its own.

>> When the group adopts the docs, we'll have to align one way or the

>>other, up to the group to see which.

>> Cheers,

>> Pascal

>>> -----Original Message-----

>>> From: Norman Finn (nfinn)

>>> Sent: vendredi 3 juin 2016 02:57

>>> To: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>; Michael Johas

>>>Teener  <[email-masked]<mailto:[email-masked]>>; Balázs Varga A

>>><[email-masked]<mailto:[email-masked]>>; Lou Berger <[email-masked]<mailto:[email-masked]>>

>>> Subject: DetNet architecture draft

>>> FINALLY!  I’ve checked a new -05 into the bitbucket.  Please give it

>>>a once-over  before we upload it.  I know that Balázs has some things

>>>he’d like to do.  See the  chech-in comments to see what I did.

>>> Pascal:  I saved all of your stuff that wasn’t a repeat of what was

>>>there, I think,  but I merged it into the old stuff, rather that

>>>having a separate section that said  the same thing as other

>>>sections.  I also replaced the big diagram that was a  copy from

>>>another RFC to a reference to that RFC.

>>> You’ll both notice that I expanded the protocol stack section a lot,

>>>in order to  accommodate the stuff that Pascal had added.  I think

>>>it’s much improved as a  result.  I have not, however, retained the

>>>“Det layer / Net layer”

>>>split.  I really

>>> don’t find it useful.  If the dt-alt wants to keep it, that’s fine

>>>with me.  If the WG  says they have to have it, that’s fine.  But, I

>>>don’t like it.  :)

>>> There is an important new section 4.7 that relates to the long

>>>conversation that  Balázs and I had in Budapest.

>>> Balázs:  The bitbucket is at https://bitbucket.org/detnet/docs.  I

>>>don’t know how  to change permissions; maybe Pascal does.

>>> — Norm